package org.springblade.enums;

public enum SiteOwnerTypeEnum {
    /**
     * 国控转计量
     */
    LEVEL_0(1, "国控转计量"),

    /**
     * 用户安装的计量设施
     */
    LEVEL_1(2, "用户安装的计量设施"),

    /**
     * 中央专项资金
     */
    LEVEL_2(3, "中央专项资金");


    private int code;

    private String name;

    private SiteOwnerTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * Function:根据code来获取对应的name
     * Author: Admin
     * Date:2021/6/26
     *
     * @param code
     * @return java.lang.String
     * @throws Exception
     */
    public static String getName(int code) {
        for (SiteOwnerTypeEnum type : SiteOwnerTypeEnum.values()) {
            if (type.code == code) {
                return type.name;
            }
        }
        return "";
    }

    /**
     * Function:根据code来获取对应的枚举常量
     * Author: Admin
     * Date:2021/6/26
     *
     * @param code
     * @return com.zhgzjg.web.enums.DeleteFlag
     * @throws Exception
     */
    public static SiteOwnerTypeEnum getEnumByCode(int code) {
        for (SiteOwnerTypeEnum type : SiteOwnerTypeEnum.values()) {
            if (type.code == code) {
                return type;
            }
        }
        return null;
    }


    /**
     * Function:根据name来获取对应的枚举常量
     * Author: Admin
     * Date:2021/6/26
     *
     * @param name
     * @return com.zhgzjg.web.enums.DeleteFlag
     * @throws Exception
     */
    public static SiteOwnerTypeEnum getEnumByName(String name) {
        for (SiteOwnerTypeEnum type : SiteOwnerTypeEnum.values()) {
            if (type.name.equals(name)) {
                return type;
            }
        }
        return null;
    }


    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
